Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class PortletRenderHelper

    java.lang.Object
      |
      +--com.bea.portal.render.servlets.jsp.RenderHelper
            |
            +--com.bea.portal.render.servlets.jsp.PortletRenderHelper

public class PortletRenderHelper
extends RenderHelper

A helper class with static methods used to assist in rendering the portal's portlets.

Field Summary
`static java.lang.String` | `CURRENT_PORTLET_KEY`

Constructor Summary
`PortletRenderHelper()`

Method Summary
`static boolean` | `isEditable(javax.servlet.http.HttpServletRequest request)` Is the current portlet able to be edited
`static boolean` | `isFloatable(javax.servlet.http.HttpServletRequest request)` Is the current portlet able to be floated
`static boolean` | `isInEditMode(javax.servlet.http.HttpServletRequest request)` Is the current portlet in the edit mode
`static boolean` | `isMaximizable(javax.servlet.http.HttpServletRequest request)` Is the current portlet able to be maximizable
`static boolean` | `isMaximized(javax.servlet.http.HttpServletRequest request)` Is the current portlet in the maximized state
`static boolean` | `isMinimizable(javax.servlet.http.HttpServletRequest request)` Is the current portlet able to be minimized
`static boolean` | `isMinimized(javax.servlet.http.HttpServletRequest request)` Is the current portlet minimized

Methods inherited from class com.bea.portal.render.servlets.jsp.RenderHelper
`getPageIdentifier, getPageState, getPortalSession, getPortalState, getPortletIdentifier, getPortletState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_PORTLET_KEY

    public static final java.lang.String CURRENT_PORTLET_KEY

Constructor Detail

### PortletRenderHelper

    public PortletRenderHelper()

Method Detail

### isMaximized

    public static boolean isMaximized(javax.servlet.http.HttpServletRequest request)
                               throws javax.servlet.jsp.JspException

  Is the current portlet in the maximized state

### isMaximizable

    public static boolean isMaximizable(javax.servlet.http.HttpServletRequest request)
                                 throws javax.servlet.jsp.JspException

  Is the current portlet able to be maximizable

### isInEditMode

    public static boolean isInEditMode(javax.servlet.http.HttpServletRequest request)
                                throws javax.servlet.jsp.JspException

  Is the current portlet in the edit mode

### isEditable

    public static boolean isEditable(javax.servlet.http.HttpServletRequest request)
                              throws javax.servlet.jsp.JspException

  Is the current portlet able to be edited

### isMinimized

    public static boolean isMinimized(javax.servlet.http.HttpServletRequest request)
                               throws javax.servlet.jsp.JspException

  Is the current portlet minimized

### isMinimizable

    public static boolean isMinimizable(javax.servlet.http.HttpServletRequest request)
                                 throws javax.servlet.jsp.JspException

  Is the current portlet able to be minimized

### isFloatable

    public static boolean isFloatable(javax.servlet.http.HttpServletRequest request)
                               throws javax.servlet.jsp.JspException

  Is the current portlet able to be floated

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved